<?php

namespace App\Modules\WebContactMessage\Application\UpdateBooking;

use App\Modules\WebContactMessage\Domain\WebContactMessage;
use App\Modules\WebContactMessage\Domain\WebContactMessageRepository;

final class WebContactMessageBookingUpdater
{
    public function __construct(private WebContactMessageRepository $repository) {}

    public function __invoke(WebContactMessage $webContactMessage)
    {
        return $this->repository->updateAlter($webContactMessage);
    }
}
